Foreman - Feature #3554

Enable provisioning on non-primary interface
11/01/2013 12:32 AM - alastair chee

Status: Resolved
Priority: Normal
Assignee:

Category: Network

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1122820 Red Hat JIRA:

Pull request:

Description

At the moment the PXE/dhcp must be done from the primary interface. It would be good to have the option of selecting the active
interface to build from, as a number of companies will have multiple interfaces and build/manage off a secondary one.

Related issues:

Related to Foreman - Bug #3864: Change ignore_puppet_facts_for_provisioning d... Rejected 12/12/2013
Related to Foreman - Feature #5507: | would like to have the ability to speci... Feedback 04/30/2014
Related to Foreman - Tracker #2409: Networking New

History

#1-11/01/2013 08:12 AM - Dominic Cleal
- Category set to Network

You could probably enter the secondary/provisioning interface data as the "primary" and then add other interfaces separately, because Foreman
doesn't really link its interface data to the physical network interfaces at the moment. The only thing you might need to do is disable
"ignore_puppet_facts_for_provisioning" so that Foreman doesn't change the primary IP from the "ipaddress" fact.

#2 - 12/17/2013 08:43 AM - Dominic Cleal
- Related to Bug #3864: Change ignore_puppet_facts_for_provisioning default to true added

#3 - 04/30/2014 11:48 AM - Dominic Cleal
- Related to Feature #5507: | would like to have the ability to specify which fact is used for updating the IP address of a host. added

#4 - 07/24/2014 03:27 AM - Dominic Cleal
- Bugzilla link set to 1122820

#5 - 06/01/2015 10:04 AM - Marek Hulan

- Status changed from New to Feedback

| think this was implemented in Foreman 1.8. Please let us know if it does not work as expected.

#6 - 06/01/2015 10:05 AM - Marek Hulan
- Related to Tracker #2409: Networking added

#7 - 05/17/2017 10:30 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
